Package eu.mhsl.minenet.minigames.score

# Class Score

java.lang.Object
eu.mhsl.minenet.minigames.score.Score

public class Score extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final Game`
  `instance`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Score(Game instance)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addResult(net.minestom.server.entity.Player p)`
  `int`
  `countResults()`
  `HashMap<net.minestom.server.entity.Player,Integer>`
  `getMap()`
  `List<String>`
  `getMapFormatted()`
  `boolean`
  `hasResult(net.minestom.server.entity.Player p)`
  `void`
  `onClose(Runnable callback)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### instance

    protected final Game instance

- ## Constructor Details

  - ### Score

    public Score(Game instance)

- ## Method Details

  - ### onClose

    public void onClose(Runnable callback)

  - ### addResult

    public void addResult(net.minestom.server.entity.Player p)

  - ### hasResult

    public boolean hasResult(net.minestom.server.entity.Player p)

  - ### getMap

    public HashMap<net.minestom.server.entity.Player,Integer> getMap()

  - ### getMapFormatted

    public List<String> getMapFormatted()

  - ### countResults

    public int countResults()